import request from '@/utils/request'

// 查询KPI统计及格列表
export function listEhskpinew(query) {
  return request({
    url: '/ehs/ehskpinew/list',
    method: 'get',
    params: query
  })
}

// 查询KPI统计及格详细
export function getEhskpinew(id) {
  return request({
    url: '/ehs/ehskpinew/' + id,
    method: 'get'
  })
}

// 新增KPI统计及格
export function addEhskpinew(data) {
  return request({
    url: '/ehs/ehskpinew',
    method: 'post',
    data: data
  })
}

// 修改KPI统计及格
export function updateEhskpinew(data) {
  return request({
    url: '/ehs/ehskpinew',
    method: 'put',
    data: data
  })
}

// 删除KPI统计及格
export function delEhskpinew(id) {
  return request({
    url: '/ehs/ehskpinew/' + id,
    method: 'delete'
  })
}

// 导出KPI统计及格
export function exportEhskpinew(query) {
  return request({
    url: '/ehs/ehskpinew/export',
    method: 'get',
    params: query
  })
}
